| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.LinearizationStage Class Reference
Inheritance diagram for optoICC.registers.icc_registers.LinearizationStage:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | GetOutputValue (self)
def | GetCoeff (self, name)
def | SetCoeff (self, name, value)
def | ResetCoeffs (self)
def | SetCoeffs (self, c=0, d1=1, d2=0, d3=0, d4=0)

## Public Attributes
| sys_id
| coeff_a
| coeff_b
| coeff_c
| coeff_d1
| coeff_d2
| coeff_d3
| coeff_d4
| coeff_e
| output_value
| compensated_value
| name

## Detailed Description

    Device Functionality - Linearization
    System ID: 0x90

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | gain                      | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | offset                    | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.LinearizationStage.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetCoeff()

def optoICC.registers.icc_registers.LinearizationStage.GetCoeff | ( |  | self,
|  |  | name
| ) |  |

## ◆ GetOutputValue()

def optoICC.registers.icc_registers.LinearizationStage.GetOutputValue | ( |  | self | ) |

## ◆ ResetCoeffs()

def optoICC.registers.icc_registers.LinearizationStage.ResetCoeffs | ( |  | self | ) |

## ◆ SetCoeff()

def optoICC.registers.icc_registers.LinearizationStage.SetCoeff | ( |  | self,
|  |  | name,
|  |  | value
| ) |  |

## ◆ SetCoeffs()

def optoICC.registers.icc_registers.LinearizationStage.SetCoeffs | ( |  | self,
|  |  | c = `0`,
|  |  | d1 = `1`,
|  |  | d2 = `0`,
|  |  | d3 = `0`,
|  |  | d4 = `0`
| ) |  |

## Member Data Documentation

## ◆ coeff_a

optoICC.registers.icc_registers.LinearizationStage.coeff_a

## ◆ coeff_b

optoICC.registers.icc_registers.LinearizationStage.coeff_b

## ◆ coeff_c

optoICC.registers.icc_registers.LinearizationStage.coeff_c

## ◆ coeff_d1

optoICC.registers.icc_registers.LinearizationStage.coeff_d1

## ◆ coeff_d2

optoICC.registers.icc_registers.LinearizationStage.coeff_d2

## ◆ coeff_d3

optoICC.registers.icc_registers.LinearizationStage.coeff_d3

## ◆ coeff_d4

optoICC.registers.icc_registers.LinearizationStage.coeff_d4

## ◆ coeff_e

optoICC.registers.icc_registers.LinearizationStage.coeff_e

## ◆ compensated_value

optoICC.registers.icc_registers.LinearizationStage.compensated_value

## ◆ name

optoICC.registers.icc_registers.LinearizationStage.name

## ◆ output_value

optoICC.registers.icc_registers.LinearizationStage.output_value

## ◆ sys_id

optoICC.registers.icc_registers.LinearizationStage.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py